diff --git a/src/winmain.c b/src/winmain.c
index 55db31cb..dbe195ad 100644
--- a/src/winmain.c
+++ b/src/winmain.c
@@ -241,11 +241,15 @@ load_dwm_funcs(void)
       (void *)GetProcAddress(user32, "SystemParametersInfoW");
   }
   if (uxtheme) {
-    pShouldAppsUseDarkMode = 
-      (void *)GetProcAddress(uxtheme, MAKEINTRESOURCEA(132)); /* ordinal */
-    pSetPreferredAppMode = 
-      (void *)GetProcAddress(uxtheme, MAKEINTRESOURCEA(135)); /* ordinal */
-      // this would be AllowDarkModeForApp before Windows build 18362
+    DWORD win_version = GetVersion();
+    win_version = ((win_version & 0xff) << 8) | ((win_version >> 8) & 0xff);
+    if (win_version > 0x0601) {
+      pShouldAppsUseDarkMode = 
+        (void *)GetProcAddress(uxtheme, MAKEINTRESOURCEA(132)); /* ordinal */
+      pSetPreferredAppMode = 
+        (void *)GetProcAddress(uxtheme, MAKEINTRESOURCEA(135)); /* ordinal */
+        // this would be AllowDarkModeForApp before Windows build 18362
+    }
     pSetWindowTheme = 
       (void *)GetProcAddress(uxtheme, "SetWindowTheme");
 
diff --git a/wiki/Changelog.md b/wiki/Changelog.md
index feb161f1..54f370bb 100644
--- a/wiki/Changelog.md
+++ b/wiki/Changelog.md
@@ -8,6 +8,7 @@ Keyboard handling
 
 Window handling
   * Search results are cleared on reset (#998).
+  * Constrain dark mode handling (#983) to Windows 10 (#1001).
 
 Configuration
   * New user-definable function kb-select (#997, #84).
